MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000423XdebugUsage problems (Wrong Results)public2009-01-25 19:072009-12-30 13:36
Reporterjcheger 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000423: Conflicts with funcall (PECL module)
DescriptionXdebug conflicts with Funcall (http://pecl.php.net/package/funcall [^]). PHP native function are not intercepted by Funcall.
Funcall works as expected if xdebug is not loaded.

Tests made on Ubuntu 8.10 & Debian Lenny
- PHP: 5.2.6
- Funcall: 0.2.5 (pecl install)
- Xdebug: 2.0.3 (php5-xdebug Ubuntu's package)
- Xdebug: 2.0.4 (pecl install)
Additional InformationSample code:
<?php
function myfunc ($arg) {
    return trim ($arg);
}

function funcall_pre_cb() {
    print "funcall_pre_cb\n";
}

function funcall_post_cb() {
    print "funcall_post_cb\n";
}

fc_add_pre ('trim','funcall_pre_cb');
fc_add_post ('trim','funcall_post_cb');

fc_add_pre ('myfunc','funcall_pre_cb');
fc_add_post ('myfunc','funcall_post_cb');

print "--- trim test ---\n";
print trim (' abc ')."\n";

print "--- myfunc test ---\n";
print myfunc (' abc ')."\n";
?>

Result with Xdebug:
--- trim test ---
abc
--- myfunc test ---
funcall_pre_cb
funcall_post_cb
abc

Result without Xdebug:
--- trim test ---
funcall_pre_cb
funcall_post_cb
abc
--- myfunc test ---
funcall_pre_cb
funcall_pre_cb
funcall_post_cb
funcall_post_cb
abc
TagsNo tags attached.
Operating System
PHP Version5.2.6
Attached Files

- Relationships

-  Notes
(0001240)
derick (administrator)
2009-12-30 13:36

This is fixed in rev. 3182. Please note however that funcall doesn't work with PHP 5.3 any more, as well as it inhibits the same problems that I just fixed in Xdebug. I am not sure if this is still an issue, but I will point the original author to this report, as well as to:

http://svn.xdebug.org/cgi-bin/viewvc.cgi/xdebug/trunk/xdebug.c?root=xdebug&r1=3180&r2=3182 [^]

http://svn.xdebug.org/cgi-bin/viewvc.cgi/xdebug/trunk/xdebug.c?view=annotate&root=xdebug#l734 [^]

http://svn.xdebug.org/cgi-bin/viewvc.cgi/xdebug/trunk/xdebug.c?view=annotate&root=xdebug#l1759 [^]

http://svn.xdebug.org/cgi-bin/viewvc.cgi/xdebug/trunk/xdebug.c?view=annotate&root=xdebug#l1823 [^]

- Issue History
Date Modified Username Field Change
2009-01-25 19:07 jcheger New Issue
2009-01-25 19:07 jcheger PHP Version => 5.2.6
2009-01-25 19:07 jcheger Xdebug Version => 2.0.4-dev
2009-12-30 13:36 derick Note Added: 0001240
2009-12-30 13:36 derick Status new => closed
2009-12-30 13:36 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker